Jump to content


Photo

Compatibility with Project Infinity


  • Please log in to reply
11 replies to this topic

#1 skellytz

skellytz
  • Member
  • 90 posts

Posted 30 December 2019 - 03:06 PM

I'm thinking of merging BGT Music and GUI into the main mod setup as components. To ensure compatibility, I'd like to discuss these two questions:

 

1. Are there any known mods which check if setup-bgtmusic.tp2 is installed? If there are, the alternative would be to package BGT with separate folders: bgt/bgt.tp2, bgt.ini and bgtmusic/bgtmusic.tp2, bgtmusic.ini.

 

2. Project Infinity won't display all the available GUI options because the TP2 file is created during the setup accounting for some prior mods. It could safely be a component with all the available BGT GUI options to date (hidden if a given mod isn't installed). According to BWP, there are, at best, four additional GUI options that will have to be added to the default list: Shadows over Soubar, Check the Bodies, Region of Terror and The Darkest Day. Are there any other mods which use the GUI Switcher ("gui_mods" folder)?

 



#2 Argent77

Argent77
  • Staff
  • 1084 posts

Posted 30 December 2019 - 03:43 PM

1. Are there any known mods which check if setup-bgtmusic.tp2 is installed? If there are, the alternative would be to package BGT with separate folders: bgt/bgt.tp2, bgt.ini and bgtmusic/bgtmusic.tp2, bgtmusic.ini.

 
A quick scan of my old BWS backup shows that 1PP High Quality Music for BGT contains a setup-bgtmusic.tp2 check. It's also mentioned in Revised Battles, but I don't think as a requirement check.



#3 Sergio

Sergio
  • Member
  • 939 posts

Posted 31 December 2019 - 03:57 AM

Hello,
Vlad's compilation should have a GUI too: http://forums.blackw...indpost&p=57226

You can find Vlad's compilation here: http://forums.blackw...?showtopic=5381


Edited by Sergio, 31 December 2019 - 03:57 AM.

Low hung brow, dazed look on your face..... It appears that you are correct, my friend. You are indeed a complete imbecile.


#4 skellytz

skellytz
  • Member
  • 90 posts

Posted 31 December 2019 - 08:24 AM

1PP High Quality Music for BGT contains a setup-bgtmusic.tp2 check.

The BGT version needs a repackage with all the audio files and Quiet's fixes anyways, so that check could be easily changed before proper release.

 

It's also mentioned in Revised Battles, but I don't think as a requirement check.

It's not a requirement check; however, another issue popped up. The mod uses STRING_EQUAL_CASE "~Setup-BGT.tp2~" in WeiDU.log to ensure the correct install order for Improved Firkraag; it won't find bgt.tp2 renamed in v1.19. We might have to go back to the setup- prefix for tp2 files for legacy compatibility checks like that. Thankfully, Project Infinity supports both setup-modname.tp2 and modname.tp2, inside or outside the folder.

 

Vlad's compilation should have a GUI too: http://forums.blackw...?showtopic=5381

Vlad's Compilation doesn't care about other mod options and tries to outright uninstall the GUI Switcher in a crude way to force its own GUI:

 

ACTION_IF FILE_EXISTS ~Setup-GUI.tp2~
THEN BEGIN
  UNINSTALL ~Setup-GUI.tp2~ ~0~
  UNINSTALL ~Setup-GUI.tp2~ ~1~
  UNINSTALL ~Setup-GUI.tp2~ ~2~
  UNINSTALL ~Setup-GUI.tp2~ ~3~
  UNINSTALL ~Setup-GUI.tp2~ ~4~
  UNINSTALL ~Setup-GUI.tp2~ ~5~
  UNINSTALL ~Setup-GUI.tp2~ ~6~
  UNINSTALL ~Setup-GUI.tp2~ ~7~
  UNINSTALL ~Setup-GUI.tp2~ ~8~
  UNINSTALL ~Setup-GUI.tp2~ ~9~
  UNINSTALL ~Setup-GUI.tp2~ ~10~
  UNINSTALL ~Setup-GUI.tp2~ ~11~
  UNINSTALL ~Setup-GUI.tp2~ ~12~
  UNINSTALL ~Setup-GUI.tp2~ ~13~
  UNINSTALL ~Setup-GUI.tp2~ ~14~
  UNINSTALL ~Setup-GUI.tp2~ ~15~
  UNINSTALL ~Setup-GUI.tp2~ ~16~
  UNINSTALL ~Setup-GUI.tp2~ ~17~
  UNINSTALL ~Setup-GUI.tp2~ ~18~
  UNINSTALL ~Setup-GUI.tp2~ ~19~
END


#5 Gwendolyne

Gwendolyne
  • Staff
  • 734 posts

Posted 31 December 2019 - 01:09 PM


 

1PP High Quality Music for BGT contains a setup-bgtmusic.tp2 check.

The BGT version needs a repackage with all the audio files and Quiet's fixes anyways, so that check could be easily changed before proper release.

 

It's also mentioned in Revised Battles, but I don't think as a requirement check.

It's not a requirement check; however, another issue popped up. The mod uses STRING_EQUAL_CASE "~Setup-BGT.tp2~" in WeiDU.log to ensure the correct install order for Improved Firkraag; it won't find bgt.tp2 renamed in v1.19. We might have to go back to the setup- prefix for tp2 files for legacy compatibility checks like that. Thankfully, Project Infinity supports both setup-modname.tp2 and modname.tp2, inside or outside the folder.

 

 

I really find at least pretty weird maintained mods should be altered to be compatible with long time un-maintained mods. As we decided to update a lot of mods, 1PP HQ Music for BGT might be easily updated (and iirc WeiDU does not bother about setup-mymod or mymod when used in checks.

As for Revised Battles, I can endorsed the responsibility to update it with bgt.tp2 and include all BWP Fixpack patches, if it might save your time. ;)


CARPE DIEM ....
 

In progress : Menace sur le Royaume de Diamant Éternel there.

#6 jastey

jastey
  • Staff
  • 2211 posts

Posted 01 January 2020 - 03:45 AM

I really find at least pretty weird maintained mods should be altered to be compatible with long time un-maintained mods.


Would you rephrase this sentence, I do not understand it. :ph34r:



#7 skellytz

skellytz
  • Member
  • 90 posts

Posted 04 January 2020 - 12:36 PM

The six mods which use King Diamond's GUI Switcher (BGT, Shadows over Soubar, Check the Bodies, Region of Terror, The Darkest Day and Big Picture) all suffer from the same issue: they create/append to setup-gui.tp2 during installation. This prevents Project Infinity from displaying all the available GUI options in the mod list.

 

I suggest creating a separate mod package ("GUI Switcher" in guiswitcher/guiswitcher.tp2) with the following legacy components:

 

* Baldur‘s Gate Trilogy (Elminster wielding sword)
* Baldur‘s Gate Trilogy (Elminster wielding staff)

* Big Picture

* Check the Bodies

* Region of Terror

* Shadows over Soubar

* The Darkest Day

 

The package would have to include all the required GUI files from these mods. This is why I'd like to invite the SHS staff to consult the necessary permissions.

 

Edit: added Big Picture to the list. Its GUI component only appends to setup-gui.tp2 but doesn't actually install it.


Edited by skellytz, 04 January 2020 - 05:36 PM.


#8 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4906 posts

Posted 04 January 2020 - 11:40 PM

... Big Picture to the list. Its GUI component only appends to setup-gui.tp2 but doesn't actually install it.
They all do that.. aka, it's not installed by default, but the setup-gui.tp2 is made to be from each, so it can be used when ever one wants to or not. And yes, they do contradictory things to the GUI, and so are completely incompatible with one another*, so they use a common file to not overwrite each others changes.
And if one goes to so far as to get permissions, one should also look into making the compilation completely compatible with the Widescreen mods GUI extension algorithms, aka make it so the pictures extend from a common point and look smooth, unlike it now does ... but that needs a matrix artist. Yes, a matrix artist knows how the GUI extends and hopefully can make it look good, be it anywhere from 640x480 to 10k, or things in the middle like 800x4000.
*This should really be removed, so the view remains standard and compatible with Widescreen mod among other things.

Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#9 skellytz

skellytz
  • Member
  • 90 posts

Posted 05 January 2020 - 08:44 AM

An alternative suggestion to pre-packaging all the GUI files: the Switcher could simply draw the necessary files from the respective mod folders if they're installed. It seems to be a less intrusive solution. And just to make it clear, King Diamond and the individual authors would be credited for the contents -- we're just trying to get their work show up in Project Infinity out of modder courtesy.

 

Edit: uploaded the code to GitHub for review.


Edited by skellytz, 05 January 2020 - 01:15 PM.


#10 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4906 posts

Posted 05 January 2020 - 10:06 AM

If that's your intention, then why not just make use of setup-GUIv2.tp2&.exe, aka a file premade to be exactly like the non-v2 version, but with a preset install order and such, as that would remove the problems. And you can get all that by one time installing all the mods you wish and copying the setup-GUI.tp2 from the install folder to another location & renaming it.

Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#11 ALIEN

ALIEN
  • Member
  • 884 posts

Posted 08 January 2020 - 07:25 AM

An alternative suggestion to pre-packaging all the GUI files: the Switcher could simply draw the necessary files from the respective mod folders if they're installed. It seems to be a less intrusive solution. And just to make it clear, King Diamond and the individual authors would be credited for the contents -- we're just trying to get their work show up in Project Infinity out of modder courtesy.

 

Edit: uploaded the code to GitHub for review.

 

Very nice trick. I support this idea.  :hug:


Project Infinity Public BETA
You cannot have progress without committing changes... A Basic Modder's Guide to Git and Github


#12 jastey

jastey
  • Staff
  • 2211 posts

Posted 09 January 2020 - 08:05 AM

* Check the Bodies

* Region of Terror

* Shadows over Soubar


skellytz, are you aware of the updated versions by weigo: CtB, RoT, SoS

If there is anything I should make compatible please let me know, some of the things you are discussing here is above my coding skills.